INCLUDES = -I$(srcdir)/../core -I$(srcdir)/../share -I$(srcdir)/../ui -I$(top_srcdir)/libkonq -I$(top_builddir)/kicker/share $(all_includes)

noinst_LTLIBRARIES = libkicker_buttons.la

libkicker_buttons_la_SOURCES = servicebutton.cpp bookmarksbutton.cpp \
	browserbutton.cpp \
	desktopbutton.cpp extensionbutton.cpp kbutton.cpp \
	nonkdeappbutton.cpp servicemenubutton.cpp urlbutton.cpp \
	windowlistbutton.cpp

libkicker_buttons_la_LDFLAGS = $(all_libraries)
libkicker_buttons_la_LIBADD = $(top_builddir)/libkonq/libkonq.la $(LIB_KDEUI) $(XTESTLIB)
libkicker_buttons_la_METASOURCES = AUTO

browserbutton.lo: ../share/kickerSettings.h
desktopbutton.lo: ../share/kickerSettings.h
panelbutton.lo: ../share/kickerSettings.h
servicebutton.lo: ../share/kickerSettings.h
urlbutton.lo: ../share/kickerSettings.h

